﻿@import "variables.less";


@font-face {
  font-family: 'Droid Arabic Kufi';
  font-style: normal;
  font-weight: 400;
  src: url(fonts/DroidKufi-Regular.eot);
  src: url(fonts/DroidKufi-Regular.eot?#iefix) format('embedded-opentype'),
       url(fonts/DroidKufi-Regular.woff) format('woff'),
       url(fonts/DroidKufi-Regular.ttf) format('truetype');
}
@font-face {
  font-family: 'Droid Arabic Kufi';
  font-style: normal;
  font-weight: 700;
  src: url(fonts/DroidKufi-Bold.eot);
  src: url(fonts/DroidKufi-Bold.eot?#iefix) format('embedded-opentype'),
       url(fonts/DroidKufi-Bold.woff) format('woff'),
       url(fonts/DroidKufi-Bold.ttf) format('truetype');
}


body {
    font-family: 'Droid Arabic Kufi';
    font-size: 14px;
    line-height: 1.42857143;
    color: #333;
    background-color: #fff;
}

.emap-tools-measure {
	position:absolute;
	left:5px;
	font-size: 1.0em;
	top: auto !important;
    bottom: 75px !important;
}
.ol-zoom{
	left:5px;
	font-size: 1.0em !important;
	bottom: 5px !important;
	top: auto !important;
}
@media (min-width: 768px) {
	.emap-tools-measure {
		font-size: 1.2em;
		top: auto !important;
		bottom: 80px !important;
	}
	.ol-zoom{
		font-size: 1.2em !important;
		bottom: 10px !important;
		top: auto !important;
	}
}

.mini-submenu-left {
	position: absolute;
	top: @top-menu-height + 10px;
	right: .5em;
	z-index: 40;
	cursor:pointer;
}
@media (max-width: @screen-sm) {
    .mini-submenu-left {
	    top: @top-menu-height-xs + 10px;
    }
}


.emap-legend-popup {
	position: absolute;
	bottom: 5px;
	right: 5px;
	width: 200px;
	z-index: 5;
	background-color: rgba(0, 60, 136, 0.2);
	border-radius: 5px;
	color: #fff;
}
@media (max-width: 768px) {
	.emap-legend-popup {
		overflow-y:scroll;
		max-height:160px;
		> div {
			overflow-y:hidden;
		}
		padding: 0 5px;
	}
}
@media (min-width: 768px) {
	.emap-legend-popup {
		bottom: 35px;
		right: 10px;
		width: 260px;
		padding: 0 5px;
	}
}

/******************Map popup*******************/
.emap-popup {
	> div:nth-child(1) {
		white-space: nowrap;
	}
	> div:nth-child(3) {
		margin:15px 0 0 0;
		text-align: center;
		> button:nth-child(1) {
			margin-left:5px;
		}
	}
}

.loading-spiner-holder-ar {
	position: absolute;
	top:50%;
	left:50%;
	z-index: 99999;
    background: rgba(0, 60, 136, 0.6);
    border-radius: 5px;
    padding: 5px;
}



	.emap-estates-search-block {
		float:right;
		> .btn-group { 
			position: relative;
			> .emap-tenants-main-search {
				float:right;
			} 
			> button {
				position: absolute;
				left: 0;
				top: 0;
			}
		}
	}

	.emap-tenants-search-block {
		margin: 0 5px 0 0;
		float:right;
		> .btn-group {
			position: relative;
			> .emap-tenants-search {
				width:80%;
				float:right;
			}
			> button {
				position: absolute;
				left: 0;
				top: 0;
			}
		}
	}

	.emap-selected-estate-name {
		float:right;
	}

	.emap-classification-block {
		float:right;
		> .emap-classification-dropdown.emap-types {
			> .btn-group { 
				position: relative;
				> span {
					float:right;
				}
				> button {
					position: absolute;
					left: 0;
					top: 0;
				}
			}
		}
		> .emap-classification-dropdown.emap-countries {
			margin: 0 5px 0 0;
			float:right;
			> .btn-group {
				position: relative;
				> .emap-classification-country-search {
					width:80%;
					float:right;
				}
				> button {
					position: absolute;
					left: 0;
					top: 0;
				}
			}
		}
		> .emap-classification-dropdown.emap-product-types {
			margin: 0 5px 0 0;
			float:right;
			> .btn-group {
				position: relative;
				> .emap-classification-product-type-search {
					width:80%;
					float:right;
				}
				> button {
					position: absolute;
					left: 0;
					top: 0;
				}
			}
		}
	}


.emap-routes-block {
	float:right;
	.form-group { 
		right:0;
		left:90px;
	}	
	.form-inline {
		.emap-guide-me-btn {
			left:45px;
		}
		.emap-share-btn { 
			left:0;
		}
	}
}

	.emap-sidebar-toggle-right {
		padding: 5px 0 0 5px;
		background-color: transparent!important;
		float: left;
		cursor: pointer;
		font-size: 18px;
	}

	@media (min-width: 768px) {
		.emap-routes-list {
			bottom: 40px !important;
		}
	}

	.emap-start-button-block {
		position:absolute;right: 85%;top: 50%;
	}

	.emap-location-tenant-select {
		left:45px;
		right:0;
	}

	.emap-location-tenant-button {
		left: 0;
	}